Skip to content

Revoke a group grant

DELETE
/principal-groups/{group}/grants/{grantId}
curl --request DELETE \
--url https://example.com/api/v1/principal-groups/night-shift/grants/example

Removes one grant from a group. Gated by principal_grant:delete (all-scope).

group
required

The group, by name or uuid

string

The group, by name or uuid

grantId
required

The grant’s id (uuid)

string

The grant’s id (uuid)

No Content

Error

Media type application/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
Example
{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}